Index: /XIOS/dev/dev_olga/src/interface/c/icfield.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c/icfield.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c/icfield.cpp	(revision 1158)
@@ -76,8 +76,8 @@
 // -----------------------------------------------------------------------------------------------------   
 
-  void cxios_field_is_active (XFieldPtr field_hdl, bool* ret)
+  void cxios_field_is_active (XFieldPtr field_hdl, bool at_current_timestep, bool* ret)
   {
     CTimer::get("XIOS").resume() ;
-    *ret = field_hdl->isActive();
+    *ret = field_hdl->isActive(at_current_timestep);
     CTimer::get("XIOS").suspend() ;
   }
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icaxis_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icaxis_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icaxis_attr.cpp	(revision 1158)
@@ -188,4 +188,32 @@
 
 
+  void cxios_set_axis_label(axis_Ptr axis_hdl, char* label, int str_len, int* str_size, int* extent)
+  {
+    CTimer::get("XIOS").resume();
+    axis_hdl->label.resize(shape(extent[0]));
+    Array<StdString,1>::iterator it, itb=axis_hdl->label.begin(), ite=axis_hdl->label.end() ;
+    int i, n ;
+    for(it=itb, i=0, n=0 ; it!=ite ; ++it,n+=str_len,++i) *it=StdString(&label[n],str_size[i]) ;
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axis_label(axis_Ptr axis_hdl, char* label, int str_size, int* extent)
+  {
+    CTimer::get("XIOS").resume();
+    Array<StdString,1>::const_iterator it, itb=axis_hdl->label.getInheritedValue().begin(), ite=axis_hdl->label.getInheritedValue().end() ;
+    int n ;
+    for(it=itb, n=0 ; it!=ite ; ++it, n+=str_size) it->copy(&label[n],it->size()) ; 
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axis_label(axis_Ptr axis_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axis_hdl->label.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_axis_long_name(axis_Ptr axis_hdl, const char * long_name, int long_name_size)
   {
@@ -360,4 +388,27 @@
 
 
+  void cxios_set_axis_prec(axis_Ptr axis_hdl, int prec)
+  {
+    CTimer::get("XIOS").resume();
+    axis_hdl->prec.setValue(prec);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axis_prec(axis_Ptr axis_hdl, int* prec)
+  {
+    CTimer::get("XIOS").resume();
+    *prec = axis_hdl->prec.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axis_prec(axis_Ptr axis_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axis_hdl->prec.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_axis_standard_name(axis_Ptr axis_hdl, const char * standard_name, int standard_name_size)
   {
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icaxisgroup_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 1158)
@@ -214,4 +214,32 @@
 
 
+  void cxios_set_axisgroup_label(axisgroup_Ptr axisgroup_hdl, char* label, int str_len, int* str_size, int* extent)
+  {
+    CTimer::get("XIOS").resume();
+    axisgroup_hdl->label.resize(shape(extent[0]));
+    Array<StdString,1>::iterator it, itb=axisgroup_hdl->label.begin(), ite=axisgroup_hdl->label.end() ;
+    int i, n ;
+    for(it=itb, i=0, n=0 ; it!=ite ; ++it,n+=str_len,++i) *it=StdString(&label[n],str_size[i]) ;
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axisgroup_label(axisgroup_Ptr axisgroup_hdl, char* label, int str_size, int* extent)
+  {
+    CTimer::get("XIOS").resume();
+    Array<StdString,1>::const_iterator it, itb=axisgroup_hdl->label.getInheritedValue().begin(), ite=axisgroup_hdl->label.getInheritedValue().end() ;
+    int n ;
+    for(it=itb, n=0 ; it!=ite ; ++it, n+=str_size) it->copy(&label[n],it->size()) ; 
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axisgroup_label(axisgroup_Ptr axisgroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axisgroup_hdl->label.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_axisgroup_long_name(axisgroup_Ptr axisgroup_hdl, const char * long_name, int long_name_size)
   {
@@ -386,4 +414,27 @@
 
 
+  void cxios_set_axisgroup_prec(axisgroup_Ptr axisgroup_hdl, int prec)
+  {
+    CTimer::get("XIOS").resume();
+    axisgroup_hdl->prec.setValue(prec);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axisgroup_prec(axisgroup_Ptr axisgroup_hdl, int* prec)
+  {
+    CTimer::get("XIOS").resume();
+    *prec = axisgroup_hdl->prec.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axisgroup_prec(axisgroup_Ptr axisgroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axisgroup_hdl->prec.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_axisgroup_standard_name(axisgroup_Ptr axisgroup_hdl, const char * standard_name, int standard_name_size)
   {
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icdomain_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icdomain_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icdomain_attr.cpp	(revision 1158)
@@ -747,4 +747,27 @@
 
 
+  void cxios_set_domain_prec(domain_Ptr domain_hdl, int prec)
+  {
+    CTimer::get("XIOS").resume();
+    domain_hdl->prec.setValue(prec);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_domain_prec(domain_Ptr domain_hdl, int* prec)
+  {
+    CTimer::get("XIOS").resume();
+    *prec = domain_hdl->prec.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_domain_prec(domain_Ptr domain_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = domain_hdl->prec.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_domain_standard_name(domain_Ptr domain_hdl, const char * standard_name, int standard_name_size)
   {
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 1158)
@@ -773,4 +773,27 @@
 
 
+  void cxios_set_domaingroup_prec(domaingroup_Ptr domaingroup_hdl, int prec)
+  {
+    CTimer::get("XIOS").resume();
+    domaingroup_hdl->prec.setValue(prec);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_domaingroup_prec(domaingroup_Ptr domaingroup_hdl, int* prec)
+  {
+    CTimer::get("XIOS").resume();
+    *prec = domaingroup_hdl->prec.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_domaingroup_prec(domaingroup_Ptr domaingroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = domaingroup_hdl->prec.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_domaingroup_standard_name(domaingroup_Ptr domaingroup_hdl, const char * standard_name, int standard_name_size)
   {
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icexpand_domain_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icexpand_domain_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icexpand_domain_attr.cpp	(revision 1158)
@@ -17,4 +17,50 @@
 {
   typedef xios::CExpandDomain* expand_domain_Ptr;
+
+  void cxios_set_expand_domain_i_periodic(expand_domain_Ptr expand_domain_hdl, bool i_periodic)
+  {
+    CTimer::get("XIOS").resume();
+    expand_domain_hdl->i_periodic.setValue(i_periodic);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_expand_domain_i_periodic(expand_domain_Ptr expand_domain_hdl, bool* i_periodic)
+  {
+    CTimer::get("XIOS").resume();
+    *i_periodic = expand_domain_hdl->i_periodic.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_expand_domain_i_periodic(expand_domain_Ptr expand_domain_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = expand_domain_hdl->i_periodic.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_expand_domain_j_periodic(expand_domain_Ptr expand_domain_hdl, bool j_periodic)
+  {
+    CTimer::get("XIOS").resume();
+    expand_domain_hdl->j_periodic.setValue(j_periodic);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_expand_domain_j_periodic(expand_domain_Ptr expand_domain_hdl, bool* j_periodic)
+  {
+    CTimer::get("XIOS").resume();
+    *j_periodic = expand_domain_hdl->j_periodic.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_expand_domain_j_periodic(expand_domain_Ptr expand_domain_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = expand_domain_hdl->j_periodic.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
 
   void cxios_set_expand_domain_order(expand_domain_Ptr expand_domain_hdl, int order)
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icfile_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icfile_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icfile_attr.cpp	(revision 1158)
@@ -553,4 +553,82 @@
 
 
+  void cxios_set_file_time_stamp_format(file_Ptr file_hdl, const char * time_stamp_format, int time_stamp_format_size)
+  {
+    std::string time_stamp_format_str;
+    if (!cstr2string(time_stamp_format, time_stamp_format_size, time_stamp_format_str)) return;
+    CTimer::get("XIOS").resume();
+    file_hdl->time_stamp_format.setValue(time_stamp_format_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_file_time_stamp_format(file_Ptr file_hdl, char * time_stamp_format, int time_stamp_format_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(file_hdl->time_stamp_format.getInheritedValue(), time_stamp_format, time_stamp_format_size))
+      ERROR("void cxios_get_file_time_stamp_format(file_Ptr file_hdl, char * time_stamp_format, int time_stamp_format_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_file_time_stamp_format(file_Ptr file_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = file_hdl->time_stamp_format.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_file_time_stamp_name(file_Ptr file_hdl, const char * time_stamp_name, int time_stamp_name_size)
+  {
+    std::string time_stamp_name_str;
+    if (!cstr2string(time_stamp_name, time_stamp_name_size, time_stamp_name_str)) return;
+    CTimer::get("XIOS").resume();
+    file_hdl->time_stamp_name.setValue(time_stamp_name_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_file_time_stamp_name(file_Ptr file_hdl, char * time_stamp_name, int time_stamp_name_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(file_hdl->time_stamp_name.getInheritedValue(), time_stamp_name, time_stamp_name_size))
+      ERROR("void cxios_get_file_time_stamp_name(file_Ptr file_hdl, char * time_stamp_name, int time_stamp_name_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_file_time_stamp_name(file_Ptr file_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = file_hdl->time_stamp_name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_file_time_units(file_Ptr file_hdl, const char * time_units, int time_units_size)
+  {
+    std::string time_units_str;
+    if (!cstr2string(time_units, time_units_size, time_units_str)) return;
+    CTimer::get("XIOS").resume();
+    file_hdl->time_units.fromString(time_units_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_file_time_units(file_Ptr file_hdl, char * time_units, int time_units_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(file_hdl->time_units.getInheritedStringValue(), time_units, time_units_size))
+      ERROR("void cxios_get_file_time_units(file_Ptr file_hdl, char * time_units, int time_units_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_file_time_units(file_Ptr file_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = file_hdl->time_units.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_file_timeseries(file_Ptr file_hdl, const char * timeseries, int timeseries_size)
   {
@@ -629,3 +707,55 @@
      return isDefined;
   }
+
+
+  void cxios_set_file_uuid_format(file_Ptr file_hdl, const char * uuid_format, int uuid_format_size)
+  {
+    std::string uuid_format_str;
+    if (!cstr2string(uuid_format, uuid_format_size, uuid_format_str)) return;
+    CTimer::get("XIOS").resume();
+    file_hdl->uuid_format.setValue(uuid_format_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_file_uuid_format(file_Ptr file_hdl, char * uuid_format, int uuid_format_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(file_hdl->uuid_format.getInheritedValue(), uuid_format, uuid_format_size))
+      ERROR("void cxios_get_file_uuid_format(file_Ptr file_hdl, char * uuid_format, int uuid_format_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_file_uuid_format(file_Ptr file_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = file_hdl->uuid_format.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_file_uuid_name(file_Ptr file_hdl, const char * uuid_name, int uuid_name_size)
+  {
+    std::string uuid_name_str;
+    if (!cstr2string(uuid_name, uuid_name_size, uuid_name_str)) return;
+    CTimer::get("XIOS").resume();
+    file_hdl->uuid_name.setValue(uuid_name_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_file_uuid_name(file_Ptr file_hdl, char * uuid_name, int uuid_name_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(file_hdl->uuid_name.getInheritedValue(), uuid_name, uuid_name_size))
+      ERROR("void cxios_get_file_uuid_name(file_Ptr file_hdl, char * uuid_name, int uuid_name_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_file_uuid_name(file_Ptr file_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = file_hdl->uuid_name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
 }
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icfilegroup_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icfilegroup_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icfilegroup_attr.cpp	(revision 1158)
@@ -579,4 +579,82 @@
 
 
+  void cxios_set_filegroup_time_stamp_format(filegroup_Ptr filegroup_hdl, const char * time_stamp_format, int time_stamp_format_size)
+  {
+    std::string time_stamp_format_str;
+    if (!cstr2string(time_stamp_format, time_stamp_format_size, time_stamp_format_str)) return;
+    CTimer::get("XIOS").resume();
+    filegroup_hdl->time_stamp_format.setValue(time_stamp_format_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_filegroup_time_stamp_format(filegroup_Ptr filegroup_hdl, char * time_stamp_format, int time_stamp_format_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(filegroup_hdl->time_stamp_format.getInheritedValue(), time_stamp_format, time_stamp_format_size))
+      ERROR("void cxios_get_filegroup_time_stamp_format(filegroup_Ptr filegroup_hdl, char * time_stamp_format, int time_stamp_format_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_filegroup_time_stamp_format(filegroup_Ptr filegroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = filegroup_hdl->time_stamp_format.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_filegroup_time_stamp_name(filegroup_Ptr filegroup_hdl, const char * time_stamp_name, int time_stamp_name_size)
+  {
+    std::string time_stamp_name_str;
+    if (!cstr2string(time_stamp_name, time_stamp_name_size, time_stamp_name_str)) return;
+    CTimer::get("XIOS").resume();
+    filegroup_hdl->time_stamp_name.setValue(time_stamp_name_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_filegroup_time_stamp_name(filegroup_Ptr filegroup_hdl, char * time_stamp_name, int time_stamp_name_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(filegroup_hdl->time_stamp_name.getInheritedValue(), time_stamp_name, time_stamp_name_size))
+      ERROR("void cxios_get_filegroup_time_stamp_name(filegroup_Ptr filegroup_hdl, char * time_stamp_name, int time_stamp_name_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_filegroup_time_stamp_name(filegroup_Ptr filegroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = filegroup_hdl->time_stamp_name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_filegroup_time_units(filegroup_Ptr filegroup_hdl, const char * time_units, int time_units_size)
+  {
+    std::string time_units_str;
+    if (!cstr2string(time_units, time_units_size, time_units_str)) return;
+    CTimer::get("XIOS").resume();
+    filegroup_hdl->time_units.fromString(time_units_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_filegroup_time_units(filegroup_Ptr filegroup_hdl, char * time_units, int time_units_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(filegroup_hdl->time_units.getInheritedStringValue(), time_units, time_units_size))
+      ERROR("void cxios_get_filegroup_time_units(filegroup_Ptr filegroup_hdl, char * time_units, int time_units_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_filegroup_time_units(filegroup_Ptr filegroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = filegroup_hdl->time_units.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_filegroup_timeseries(filegroup_Ptr filegroup_hdl, const char * timeseries, int timeseries_size)
   {
@@ -655,3 +733,55 @@
      return isDefined;
   }
+
+
+  void cxios_set_filegroup_uuid_format(filegroup_Ptr filegroup_hdl, const char * uuid_format, int uuid_format_size)
+  {
+    std::string uuid_format_str;
+    if (!cstr2string(uuid_format, uuid_format_size, uuid_format_str)) return;
+    CTimer::get("XIOS").resume();
+    filegroup_hdl->uuid_format.setValue(uuid_format_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_filegroup_uuid_format(filegroup_Ptr filegroup_hdl, char * uuid_format, int uuid_format_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(filegroup_hdl->uuid_format.getInheritedValue(), uuid_format, uuid_format_size))
+      ERROR("void cxios_get_filegroup_uuid_format(filegroup_Ptr filegroup_hdl, char * uuid_format, int uuid_format_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_filegroup_uuid_format(filegroup_Ptr filegroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = filegroup_hdl->uuid_format.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_filegroup_uuid_name(filegroup_Ptr filegroup_hdl, const char * uuid_name, int uuid_name_size)
+  {
+    std::string uuid_name_str;
+    if (!cstr2string(uuid_name, uuid_name_size, uuid_name_str)) return;
+    CTimer::get("XIOS").resume();
+    filegroup_hdl->uuid_name.setValue(uuid_name_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_filegroup_uuid_name(filegroup_Ptr filegroup_hdl, char * uuid_name, int uuid_name_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(filegroup_hdl->uuid_name.getInheritedValue(), uuid_name, uuid_name_size))
+      ERROR("void cxios_get_filegroup_uuid_name(filegroup_Ptr filegroup_hdl, char * uuid_name, int uuid_name_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_filegroup_uuid_name(filegroup_Ptr filegroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = filegroup_hdl->uuid_name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
 }
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icinterpolate_domain_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icinterpolate_domain_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icinterpolate_domain_attr.cpp	(revision 1158)
@@ -17,30 +17,4 @@
 {
   typedef xios::CInterpolateDomain* interpolate_domain_Ptr;
-
-  void cxios_set_interpolate_domain_file(interpolate_domain_Ptr interpolate_domain_hdl, const char * file, int file_size)
-  {
-    std::string file_str;
-    if (!cstr2string(file, file_size, file_str)) return;
-    CTimer::get("XIOS").resume();
-    interpolate_domain_hdl->file.setValue(file_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_interpolate_domain_file(interpolate_domain_Ptr interpolate_domain_hdl, char * file, int file_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(interpolate_domain_hdl->file.getInheritedValue(), file, file_size))
-      ERROR("void cxios_get_interpolate_domain_file(interpolate_domain_Ptr interpolate_domain_hdl, char * file, int file_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_interpolate_domain_file(interpolate_domain_Ptr interpolate_domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = interpolate_domain_hdl->file.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
 
   void cxios_set_interpolate_domain_mode(interpolate_domain_Ptr interpolate_domain_hdl, const char * mode, int mode_size)
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icscalar_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icscalar_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icscalar_attr.cpp	(revision 1158)
@@ -65,4 +65,27 @@
      CTimer::get("XIOS").resume();
      bool isDefined = scalar_hdl->name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalar_prec(scalar_Ptr scalar_hdl, int prec)
+  {
+    CTimer::get("XIOS").resume();
+    scalar_hdl->prec.setValue(prec);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalar_prec(scalar_Ptr scalar_hdl, int* prec)
+  {
+    CTimer::get("XIOS").resume();
+    *prec = scalar_hdl->prec.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalar_prec(scalar_Ptr scalar_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalar_hdl->prec.hasInheritedValue();
      CTimer::get("XIOS").suspend();
      return isDefined;
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icscalargroup_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icscalargroup_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icscalargroup_attr.cpp	(revision 1158)
@@ -96,4 +96,27 @@
 
 
+  void cxios_set_scalargroup_prec(scalargroup_Ptr scalargroup_hdl, int prec)
+  {
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->prec.setValue(prec);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_prec(scalargroup_Ptr scalargroup_hdl, int* prec)
+  {
+    CTimer::get("XIOS").resume();
+    *prec = scalargroup_hdl->prec.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_prec(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->prec.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_scalargroup_scalar_ref(scalargroup_Ptr scalargroup_hdl, const char * scalar_ref, int scalar_ref_size)
   {
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icvariable_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icvariable_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icvariable_attr.cpp	(revision 1158)
@@ -44,4 +44,30 @@
 
 
+  void cxios_set_variable_ts_target(variable_Ptr variable_hdl, const char * ts_target, int ts_target_size)
+  {
+    std::string ts_target_str;
+    if (!cstr2string(ts_target, ts_target_size, ts_target_str)) return;
+    CTimer::get("XIOS").resume();
+    variable_hdl->ts_target.fromString(ts_target_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_variable_ts_target(variable_Ptr variable_hdl, char * ts_target, int ts_target_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(variable_hdl->ts_target.getInheritedStringValue(), ts_target, ts_target_size))
+      ERROR("void cxios_get_variable_ts_target(variable_Ptr variable_hdl, char * ts_target, int ts_target_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_variable_ts_target(variable_Ptr variable_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = variable_hdl->ts_target.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_variable_type(variable_Ptr variable_hdl, const char * type, int type_size)
   {
Index: /XIOS/dev/dev_olga/src/interface/c_attr/icvariablegroup_attr.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/interface/c_attr/icvariablegroup_attr.cpp	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/c_attr/icvariablegroup_attr.cpp	(revision 1158)
@@ -70,4 +70,30 @@
 
 
+  void cxios_set_variablegroup_ts_target(variablegroup_Ptr variablegroup_hdl, const char * ts_target, int ts_target_size)
+  {
+    std::string ts_target_str;
+    if (!cstr2string(ts_target, ts_target_size, ts_target_str)) return;
+    CTimer::get("XIOS").resume();
+    variablegroup_hdl->ts_target.fromString(ts_target_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_variablegroup_ts_target(variablegroup_Ptr variablegroup_hdl, char * ts_target, int ts_target_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(variablegroup_hdl->ts_target.getInheritedStringValue(), ts_target, ts_target_size))
+      ERROR("void cxios_get_variablegroup_ts_target(variablegroup_Ptr variablegroup_hdl, char * ts_target, int ts_target_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_variablegroup_ts_target(variablegroup_Ptr variablegroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = variablegroup_hdl->ts_target.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_variablegroup_type(variablegroup_Ptr variablegroup_hdl, const char * type, int type_size)
   {
Index: /XIOS/dev/dev_olga/src/interface/fortran/field_interface.f90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran/field_interface.f90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran/field_interface.f90	(revision 1158)
@@ -18,7 +18,8 @@
       END SUBROUTINE cxios_field_valid_id
 
-      SUBROUTINE cxios_field_is_active(field_hdl, ret) BIND(C)
+      SUBROUTINE cxios_field_is_active(field_hdl, at_current_timestep, ret) BIND(C)
          USE ISO_C_BINDING
          INTEGER  (kind = C_INTPTR_T), VALUE        :: field_hdl
+         LOGICAL  (kind = C_BOOL), VALUE            :: at_current_timestep
          LOGICAL  (kind = C_BOOL)                   :: ret
       END SUBROUTINE cxios_field_is_active
Index: /XIOS/dev/dev_olga/src/interface/fortran/idata.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran/idata.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran/idata.F90	(revision 1158)
@@ -8,5 +8,4 @@
 
       SUBROUTINE  cxios_init_server() BIND(C)
-         USE ISO_C_BINDING
       END SUBROUTINE cxios_init_server
 
@@ -454,5 +453,5 @@
    SUBROUTINE  xios(init_server)()
    IMPLICIT NONE
-       CALL cxios_init_server()
+     CALL cxios_init_server()
    END SUBROUTINE xios(init_server)
 
Index: /XIOS/dev/dev_olga/src/interface/fortran/ifield.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran/ifield.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran/ifield.F90	(revision 1158)
@@ -142,26 +142,32 @@
    END FUNCTION  xios(is_valid_fieldgroup)
    
-  LOGICAL FUNCTION xios(field_is_active_id(field_id))
+  LOGICAL FUNCTION xios(field_is_active_id)(field_id, at_current_timestep_arg)
       IMPLICIT NONE
-      CHARACTER(len  = *)    , INTENT(IN) :: field_id
-      LOGICAL  (kind = 1)                 :: val
-      TYPE(txios(field))                 :: field_hdl
-      
+      CHARACTER(len  = *) , INTENT(IN) :: field_id
+      LOGICAL, OPTIONAL   , INTENT(IN) :: at_current_timestep_arg
+      TYPE(txios(field))               :: field_hdl
+
       CALL xios(get_field_handle)(field_id,field_hdl)
-      xios(field_is_active_id)=xios(field_is_active_hdl(field_hdl))
+      xios(field_is_active_id) = xios(field_is_active_hdl)(field_hdl, at_current_timestep_arg)
 
-   END FUNCTION  xios(field_is_active_id)
-   
-   
-   LOGICAL FUNCTION xios(field_is_active_hdl(field_hdl))
+   END FUNCTION xios(field_is_active_id)
+
+   LOGICAL FUNCTION xios(field_is_active_hdl)(field_hdl, at_current_timestep_arg)
       IMPLICIT NONE
-      TYPE(txios(field)),INTENT(IN)       :: field_hdl
-      LOGICAL  (kind = 1)                 :: ret
-      
-      CALL cxios_field_is_active(field_hdl%daddr, ret);
+      TYPE(txios(field)) , INTENT(IN) :: field_hdl
+      LOGICAL, OPTIONAL  , INTENT(IN) :: at_current_timestep_arg
+      LOGICAL(kind = C_BOOL)          :: at_current_timestep
+      LOGICAL(kind = C_BOOL)          :: ret
+
+      IF (PRESENT(at_current_timestep_arg)) THEN
+         at_current_timestep = at_current_timestep_arg
+      ELSE
+         at_current_timestep = .FALSE.
+      ENDIF
+
+      CALL cxios_field_is_active(field_hdl%daddr, at_current_timestep, ret);
       xios(field_is_active_hdl) = ret
       
-   END FUNCTION  xios(field_is_active_hdl) 
+   END FUNCTION xios(field_is_active_hdl)
  
-
 END MODULE IFIELD
